
#include <stdio.h>
#include "debugger.h"

/* va_start violates several misra rules - but it's compiler "standard" */
#if defined (__ghs__)
#pragma ghs startnomisra
#endif /* __ghs */

void d_printf(char *String, ...)
{
    va_list ap;

    va_start(ap, String);
    vprintf(String, ap);
    va_end(ap);
}

#if defined (__ghs__)
#pragma ghs endnomisra
#endif /* __ghs */
